import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:flutter/foundation.dart';
part 'nodes_config.freezed.dart';
part 'nodes_config.g.dart';

@freezed
abstract class NodesConfig with _$NodesConfig {
  const factory NodesConfig({
    List<dynamic>? nodes,
    String? tunnelConfig,
    dynamic dataConfig,
    int? socketPort,
    int? maxTryCount,
  }) = _NodesConfig;

  factory NodesConfig.fromJson(Map<String, Object?> json) =>
      _$NodesConfigFromJson(json);
}
